# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.saml.ExecutableQuery

Packages that use ExecutableQuery
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.

## Uses of ExecutableQuery in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.saml.impl that implement ExecutableQuery
Modifier and Type
Class
Description
`private final class`
`ExecutableQueryBuilder.StandardExecutableQuery`
Standard implementation of the `ExecutableQuery`.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return ExecutableQuery
Modifier and Type
Method
Description
`ExecutableQuery`
ExecutableQueryBuilder.`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type ExecutableQuery
Modifier and Type
Method
Description
`protected Map<String,IdPAttribute>`
SAMLDataConnector.`retrieveAttributes(ExecutableQuery executable)`
Attempts to retrieve attributes from the data source.